import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import Animated from 'react-native-reanimated';
import { useMotify } from './use-motify';
export default function motify(ComponentWithoutAnimation) {
    const Component = Animated.createAnimatedComponent(ComponentWithoutAnimation);
    const withAnimations = () => {
        const Motified = forwardRef(function Moti(props, ref) {
            const animated = useMotify(props);
            return (_jsx(Component, Object.assign({}, props, { 
                // @ts-ignore
                style: props.style ? [props.style, animated.style] : animated.style, ref: ref }), void 0));
        });
        Motified.displayName = `Moti.${ComponentWithoutAnimation.displayName ||
            ComponentWithoutAnimation.name ||
            'NoName'}`;
        return Motified;
    };
    return withAnimations;
}
//# sourceMappingURL=motify.js.map