/// <reference types="react-native-reanimated" />
import React from 'react';
import type { View } from 'react-native';
import type { MotiPressableInteractionState } from './types';
export declare const MotiPressable: React.ForwardRefExoticComponent<{
    onFocus?: (() => void) | undefined;
    onBlur?: (() => void) | undefined;
    transition?: ({
        type?: "spring" | undefined;
    } & import("react-native-reanimated").WithSpringConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"transform" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomEndRadius" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomStartRadius" | "borderBottomWidth" | "borderColor" | "borderEndColor" | "borderLeftColor" | "borderLeftWidth" | "borderRadius" | "borderRightColor" | "borderRightWidth" | "borderStartColor" | "borderStyle" | "borderTopColor" | "borderTopEndRadius" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopStartRadius" | "borderTopWidth" | "borderWidth" | "opacity" | "testID" | "elevation" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "borderEndWidth" | "borderStartWidth" | "bottom" | "display" | "end" | "flex" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "margin" | "marginBottom" | "marginEnd" | "marginHorizontal" | "marginLeft" | "marginRight" | "marginStart" | "marginTop" | "marginVertical" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "overflow" | "padding" | "paddingBottom" | "paddingEnd" | "paddingHorizontal" | "paddingLeft" | "paddingRight" | "paddingStart" | "paddingTop" | "paddingVertical" | "position" | "right" | "start" | "top" | "width" | "zIndex" | "direction" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY" | "resizeMode" | "overlayColor" | "tintColor" | "color" | "fontFamily" | "fontSize" | "fontStyle" | "fontWeight" | "letterSpacing" | "lineHeight" | "textAlign" | "textDecorationLine" | "textDecorationStyle" | "textDecorationColor" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "textTransform" | "fontVariant" | "writingDirection" | "textAlignVertical" | "includeFontPadding", import("../..").TransitionConfig>>) | ({
        type: "timing";
    } & import("react-native-reanimated").WithTimingConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"transform" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomEndRadius" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomStartRadius" | "borderBottomWidth" | "borderColor" | "borderEndColor" | "borderLeftColor" | "borderLeftWidth" | "borderRadius" | "borderRightColor" | "borderRightWidth" | "borderStartColor" | "borderStyle" | "borderTopColor" | "borderTopEndRadius" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopStartRadius" | "borderTopWidth" | "borderWidth" | "opacity" | "testID" | "elevation" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "borderEndWidth" | "borderStartWidth" | "bottom" | "display" | "end" | "flex" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "margin" | "marginBottom" | "marginEnd" | "marginHorizontal" | "marginLeft" | "marginRight" | "marginStart" | "marginTop" | "marginVertical" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "overflow" | "padding" | "paddingBottom" | "paddingEnd" | "paddingHorizontal" | "paddingLeft" | "paddingRight" | "paddingStart" | "paddingTop" | "paddingVertical" | "position" | "right" | "start" | "top" | "width" | "zIndex" | "direction" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY" | "resizeMode" | "overlayColor" | "tintColor" | "color" | "fontFamily" | "fontSize" | "fontStyle" | "fontWeight" | "letterSpacing" | "lineHeight" | "textAlign" | "textDecorationLine" | "textDecorationStyle" | "textDecorationColor" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "textTransform" | "fontVariant" | "writingDirection" | "textAlignVertical" | "includeFontPadding", import("../..").TransitionConfig>>) | ({
        type: "decay";
    } & import("react-native-reanimated").WithDecayConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"transform" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomEndRadius" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomStartRadius" | "borderBottomWidth" | "borderColor" | "borderEndColor" | "borderLeftColor" | "borderLeftWidth" | "borderRadius" | "borderRightColor" | "borderRightWidth" | "borderStartColor" | "borderStyle" | "borderTopColor" | "borderTopEndRadius" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopStartRadius" | "borderTopWidth" | "borderWidth" | "opacity" | "testID" | "elevation" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "borderEndWidth" | "borderStartWidth" | "bottom" | "display" | "end" | "flex" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "margin" | "marginBottom" | "marginEnd" | "marginHorizontal" | "marginLeft" | "marginRight" | "marginStart" | "marginTop" | "marginVertical" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "overflow" | "padding" | "paddingBottom" | "paddingEnd" | "paddingHorizontal" | "paddingLeft" | "paddingRight" | "paddingStart" | "paddingTop" | "paddingVertical" | "position" | "right" | "start" | "top" | "width" | "zIndex" | "direction" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY" | "resizeMode" | "overlayColor" | "tintColor" | "color" | "fontFamily" | "fontSize" | "fontStyle" | "fontWeight" | "letterSpacing" | "lineHeight" | "textAlign" | "textDecorationLine" | "textDecorationStyle" | "textDecorationColor" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "textTransform" | "fontVariant" | "writingDirection" | "textAlignVertical" | "includeFontPadding", import("../..").TransitionConfig>>) | ((interaction: MotiPressableInteractionState) => import("../..").MotiTransition<import("../..").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>) | undefined;
    animate?: {
        backfaceVisibility?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        backgroundColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderBottomColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderBottomEndRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderBottomLeftRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderBottomRightRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderBottomStartRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderBottomWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderEndColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderLeftColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderLeftWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderRightColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderRightWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderStartColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderStyle?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderTopColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderTopEndRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderTopLeftRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderTopRightRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderTopStartRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderTopWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        opacity?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        testID?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        elevation?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        alignContent?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        alignItems?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        alignSelf?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        aspectRatio?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderEndWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderStartWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        bottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        display?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        end?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        flex?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        flexBasis?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        flexDirection?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        flexGrow?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        flexShrink?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        flexWrap?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        height?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        justifyContent?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        left?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        margin?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginBottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginEnd?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginHorizontal?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginLeft?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginRight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginStart?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginTop?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginVertical?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        maxHeight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        maxWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        minHeight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        minWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        overflow?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        padding?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingBottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingEnd?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingHorizontal?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingLeft?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingRight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingStart?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingTop?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingVertical?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        position?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        right?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        start?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        top?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        width?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        zIndex?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        direction?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        shadowColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        shadowOffset?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        shadowOpacity?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        shadowRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        transformMatrix?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        rotation?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        scaleX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        scaleY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        translateX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        translateY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        perspective?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        rotate?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        rotateX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        rotateY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        rotateZ?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        scale?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        skewX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        skewY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        transform?: Partial<import("../..").StyleValueWithSequenceArraysWithoutTransform<import("../..").Transforms, "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY", "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY"> & import("../..").StyleValueWithSequenceArraysWithTransform>[] | {
            value: undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<Partial<import("../..").StyleValueWithSequenceArraysWithoutTransform<import("../..").Transforms, "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY", "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY"> & import("../..").StyleValueWithSequenceArraysWithTransform>[] | undefined>;
        } | undefined;
    } | Readonly<{
        value: {
            backfaceVisibility?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            backgroundColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderBottomColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderBottomEndRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderBottomLeftRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderBottomRightRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderBottomStartRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderBottomWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderEndColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderLeftColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderLeftWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderRightColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderRightWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderStartColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderStyle?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderTopColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderTopEndRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderTopLeftRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderTopRightRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderTopStartRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderTopWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            opacity?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            testID?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            elevation?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            alignContent?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            alignItems?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            alignSelf?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            aspectRatio?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderEndWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderStartWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            bottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            display?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            end?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            flex?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            flexBasis?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            flexDirection?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            flexGrow?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            flexShrink?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            flexWrap?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            height?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            justifyContent?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            left?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            margin?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginBottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginEnd?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginHorizontal?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginLeft?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginRight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginStart?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginTop?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginVertical?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            maxHeight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            maxWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            minHeight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            minWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            overflow?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            padding?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingBottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingEnd?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingHorizontal?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingLeft?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingRight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingStart?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingTop?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingVertical?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            position?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            right?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            start?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            top?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            width?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            zIndex?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            direction?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            shadowColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            shadowOffset?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            shadowOpacity?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            shadowRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            transformMatrix?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            rotation?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            scaleX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            scaleY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            translateX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            translateY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            perspective?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            rotate?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            rotateX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            rotateY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            rotateZ?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            scale?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            skewX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            skewY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            transform?: Partial<import("../..").StyleValueWithSequenceArraysWithoutTransform<import("../..").Transforms, "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY", "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY"> & import("../..").StyleValueWithSequenceArraysWithTransform>[] | {
                value: undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<Partial<import("../..").StyleValueWithSequenceArraysWithoutTransform<import("../..").Transforms, "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY", "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY"> & import("../..").StyleValueWithSequenceArraysWithTransform>[] | undefined>;
            } | undefined;
        };
    }> | ((interaction: MotiPressableInteractionState) => {
        backfaceVisibility?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        backgroundColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderBottomColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderBottomEndRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderBottomLeftRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderBottomRightRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderBottomStartRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderBottomWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderEndColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderLeftColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderLeftWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderRightColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderRightWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderStartColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderStyle?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderTopColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderTopEndRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderTopLeftRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderTopRightRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderTopStartRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderTopWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        opacity?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        testID?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        elevation?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        alignContent?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        alignItems?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        alignSelf?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        aspectRatio?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderEndWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        borderStartWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        bottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        display?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        end?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        flex?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        flexBasis?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        flexDirection?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        flexGrow?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        flexShrink?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        flexWrap?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        height?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        justifyContent?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        left?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        margin?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginBottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginEnd?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginHorizontal?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginLeft?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginRight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginStart?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginTop?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        marginVertical?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        maxHeight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        maxWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        minHeight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        minWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        overflow?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        padding?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingBottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingEnd?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingHorizontal?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingLeft?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingRight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingStart?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingTop?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        paddingVertical?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        position?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        right?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        start?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        top?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        width?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        zIndex?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        direction?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        shadowColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        shadowOffset?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        shadowOpacity?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        shadowRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        transformMatrix?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        rotation?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        scaleX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        scaleY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        translateX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        translateY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        perspective?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        rotate?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        rotateX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        rotateY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        rotateZ?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        scale?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        skewX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        skewY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | {
            value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | undefined>;
        } | undefined;
        transform?: Partial<import("../..").StyleValueWithSequenceArraysWithoutTransform<import("../..").Transforms, "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY", "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY"> & import("../..").StyleValueWithSequenceArraysWithTransform>[] | {
            value: undefined;
            onDidAnimate: import("../..").InlineOnDidAnimate<Partial<import("../..").StyleValueWithSequenceArraysWithoutTransform<import("../..").Transforms, "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY", "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY"> & import("../..").StyleValueWithSequenceArraysWithTransform>[] | undefined>;
        } | undefined;
    } | Readonly<{
        value: {
            backfaceVisibility?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            backgroundColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderBottomColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderBottomEndRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderBottomLeftRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderBottomRightRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderBottomStartRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderBottomWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderEndColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderLeftColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderLeftWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderRightColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderRightWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderStartColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderStyle?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderTopColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderTopEndRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderTopLeftRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderTopRightRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderTopStartRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderTopWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            opacity?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            testID?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            elevation?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            alignContent?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            alignItems?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            alignSelf?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            aspectRatio?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderEndWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            borderStartWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            bottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            display?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            end?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            flex?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            flexBasis?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            flexDirection?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            flexGrow?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            flexShrink?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            flexWrap?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            height?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            justifyContent?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            left?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            margin?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginBottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginEnd?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginHorizontal?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginLeft?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginRight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginStart?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginTop?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            marginVertical?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            maxHeight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            maxWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            minHeight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            minWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            overflow?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            padding?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingBottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingEnd?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingHorizontal?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingLeft?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingRight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingStart?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingTop?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            paddingVertical?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            position?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            right?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            start?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            top?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            width?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            zIndex?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            direction?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            shadowColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            shadowOffset?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            shadowOpacity?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            shadowRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            transformMatrix?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            rotation?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            scaleX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            scaleY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            translateX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            translateY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            perspective?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            rotate?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            rotateX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            rotateY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            rotateZ?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            scale?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            skewX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            skewY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                width: number;
                height: number;
            } | undefined>[] | {
                value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
                    width: number;
                    height: number;
                } | undefined>[] | undefined>;
            } | undefined;
            transform?: Partial<import("../..").StyleValueWithSequenceArraysWithoutTransform<import("../..").Transforms, "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY", "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY"> & import("../..").StyleValueWithSequenceArraysWithTransform>[] | {
                value: undefined;
                onDidAnimate: import("../..").InlineOnDidAnimate<Partial<import("../..").StyleValueWithSequenceArraysWithoutTransform<import("../..").Transforms, "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY", "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY"> & import("../..").StyleValueWithSequenceArraysWithTransform>[] | undefined>;
            } | undefined;
        };
    }>) | undefined;
    state?: undefined;
    onPress?: (() => void) | undefined;
    onPressIn?: (() => void) | undefined;
    onPressOut?: (() => void) | undefined;
    onHoverIn?: (() => void) | undefined;
    onHoverOut?: (() => void) | undefined;
    onKeyDown?: ((e: KeyboardEvent) => void) | undefined;
    onKeyUp?: ((e: KeyboardEvent) => void) | undefined;
    onLongPress?: (() => void) | undefined;
    hitSlop?: import("react-native").Insets | undefined;
    id?: string | undefined;
    disabled?: boolean | undefined;
    containerStyle?: import("react-native").ViewStyle | undefined;
    dangerouslySilenceDuplicateIdsWarning?: boolean | undefined;
    pressedValue?: {
        value: boolean;
    } | undefined;
    hoveredValue?: {
        value: boolean;
    } | undefined;
    onContainerLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
    href?: string | undefined;
    children?: string | number | boolean | {} | React.ReactElement<any, string | ((props: any) => React.ReactElement<any, any> | null) | (new (props: any) => React.Component<any, any, any>)> | React.ReactNodeArray | React.ReactPortal | ((interaction: Readonly<{
        value: MotiPressableInteractionState;
    }>) => React.ReactNode) | null | undefined;
} & Pick<import("react-native").ViewProps & {
    animatedProps?: Partial<import("react-native").ViewProps> | undefined;
    layout?: import("react-native-reanimated").BaseAnimationBuilder | import("react-native-reanimated").LayoutAnimationFunction | typeof import("react-native-reanimated").BaseAnimationBuilder | undefined;
    entering?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | Keyframe | undefined;
    exiting?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | Keyframe | undefined;
} & import("../..").MotiProps<import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle, import("../..").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle>, Partial<import("../..").StyleValueWithSequenceArraysWithoutTransform<import("../..").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle>, "transform" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderColor" | "borderLeftWidth" | "borderRadius" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopWidth" | "borderWidth" | "opacity" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "borderEndWidth" | "borderStartWidth" | "bottom" | "display" | "end" | "flex" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "margin" | "marginBottom" | "marginEnd" | "marginHorizontal" | "marginLeft" | "marginRight" | "marginStart" | "marginTop" | "marginVertical" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "overflow" | "padding" | "paddingBottom" | "paddingEnd" | "paddingHorizontal" | "paddingLeft" | "paddingRight" | "paddingStart" | "paddingTop" | "paddingVertical" | "position" | "right" | "start" | "top" | "width" | "zIndex" | "direction" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY", "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderColor" | "borderLeftWidth" | "borderRadius" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopWidth" | "borderWidth" | "opacity" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "borderEndWidth" | "borderStartWidth" | "bottom" | "display" | "end" | "flex" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "margin" | "marginBottom" | "marginEnd" | "marginHorizontal" | "marginLeft" | "marginRight" | "marginStart" | "marginTop" | "marginVertical" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "overflow" | "padding" | "paddingBottom" | "paddingEnd" | "paddingHorizontal" | "paddingLeft" | "paddingRight" | "paddingStart" | "paddingTop" | "paddingVertical" | "position" | "right" | "start" | "top" | "width" | "zIndex" | "direction" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY"> & import("../..").StyleValueWithSequenceArraysWithTransform>, {
    backfaceVisibility?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    backgroundColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderBottomLeftRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderBottomRightRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderBottomWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderLeftWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderRightWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderTopLeftRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderTopRightRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderTopWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    opacity?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    alignContent?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    alignItems?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    alignSelf?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    aspectRatio?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderEndWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    borderStartWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    bottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    display?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    end?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    flex?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    flexBasis?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    flexDirection?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    flexGrow?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    flexShrink?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    flexWrap?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    height?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    justifyContent?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    left?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    margin?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    marginBottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    marginEnd?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    marginHorizontal?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    marginLeft?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    marginRight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    marginStart?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    marginTop?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    marginVertical?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    maxHeight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    maxWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    minHeight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    minWidth?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    overflow?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    padding?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    paddingBottom?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    paddingEnd?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    paddingHorizontal?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    paddingLeft?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    paddingRight?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    paddingStart?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    paddingTop?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    paddingVertical?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    position?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    right?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    start?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    top?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    width?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    zIndex?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    direction?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    shadowColor?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    shadowOffset?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    shadowOpacity?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    shadowRadius?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    transformMatrix?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    rotation?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    scaleX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    scaleY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    translateX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    translateY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    perspective?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    rotate?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    rotateX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    rotateY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    rotateZ?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    scale?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    skewX?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    skewY?: string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
        width: number;
        height: number;
    } | undefined>[] | {
        value: string | number | typeof import("react-native").OpaqueColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | import("../..").SequenceItem<string | number | typeof import("react-native").OpaqueColorValue | number[] | {
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    transform?: Partial<import("../..").StyleValueWithSequenceArraysWithoutTransform<import("../..").Transforms, "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY", "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY"> & import("../..").StyleValueWithSequenceArraysWithTransform>[] | {
        value: undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<Partial<import("../..").StyleValueWithSequenceArraysWithoutTransform<import("../..").Transforms, "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY", "scaleX" | "scaleY" | "translateX" | "translateY" | "perspective" | "rotate" | "rotateX" | "rotateY" | "rotateZ" | "scale" | "skewX" | "skewY"> & import("../..").StyleValueWithSequenceArraysWithTransform>[] | undefined>;
    } | undefined;
}> & {
    children?: React.ReactNode;
} & React.RefAttributes<unknown>, "from" | "exit" | "exitTransition" | "style" | "onLayout"> & Pick<import("react-native").PressableProps, "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "accessibilityIgnoresInvertColors"> & React.RefAttributes<View>>;
